Rapid7 Vulnerability & Exploit Database

Centos Linux: CVE-2022-1552: Important: postgresql security update (Multiple Advisories)

Back to Search

Centos Linux: CVE-2022-1552: Important: postgresql security update (Multiple Advisories)

Severity
4
CVSS
(AV:L/AC:M/Au:N/C:P/I:P/A:P)
Published
05/30/2022
Created
06/01/2022
Added
05/31/2022
Modified
06/23/2022

Description

A flaw was found in PostgreSQL. There is an issue with incomplete efforts to operate safely when a privileged user is maintaining another user's objects. The Autovacuum, REINDEX, CREATE INDEX, REFRESH MATERIALIZED VIEW, CLUSTER, and pg_amcheck commands activated relevant protections too late or not at all during the process. This flaw allows an attacker with permission to create non-temporary objects in at least one schema to execute arbitrary SQL functions under a superuser identity.

Solution(s)

  • centos-upgrade-pg_repack
  • centos-upgrade-pg_repack-debuginfo
  • centos-upgrade-pg_repack-debugsource
  • centos-upgrade-pgaudit
  • centos-upgrade-pgaudit-debuginfo
  • centos-upgrade-pgaudit-debugsource
  • centos-upgrade-postgres-decoderbufs
  • centos-upgrade-postgres-decoderbufs-debuginfo
  • centos-upgrade-postgres-decoderbufs-debugsource
  • centos-upgrade-postgresql
  • centos-upgrade-postgresql-contrib
  • centos-upgrade-postgresql-contrib-debuginfo
  • centos-upgrade-postgresql-debuginfo
  • centos-upgrade-postgresql-debugsource
  • centos-upgrade-postgresql-devel
  • centos-upgrade-postgresql-docs
  • centos-upgrade-postgresql-docs-debuginfo
  • centos-upgrade-postgresql-libs
  • centos-upgrade-postgresql-plperl
  • centos-upgrade-postgresql-plperl-debuginfo
  • centos-upgrade-postgresql-plpython
  • centos-upgrade-postgresql-plpython3
  • centos-upgrade-postgresql-plpython3-debuginfo
  • centos-upgrade-postgresql-pltcl
  • centos-upgrade-postgresql-pltcl-debuginfo
  • centos-upgrade-postgresql-private-libs
  • centos-upgrade-postgresql-private-libs-debuginfo
  • centos-upgrade-postgresql-server
  • centos-upgrade-postgresql-server-debuginfo
  • centos-upgrade-postgresql-server-devel
  • centos-upgrade-postgresql-server-devel-debuginfo
  • centos-upgrade-postgresql-static
  • centos-upgrade-postgresql-test
  • centos-upgrade-postgresql-test-debuginfo
  • centos-upgrade-postgresql-test-rpm-macros
  • centos-upgrade-postgresql-upgrade
  • centos-upgrade-postgresql-upgrade-debuginfo
  • centos-upgrade-postgresql-upgrade-devel
  • centos-upgrade-postgresql-upgrade-devel-debuginfo

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;